%define upstream_name Config-Model-Tester
%define upstream_version 2.047

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Test framework for Config::Model
License:	LGPLv2
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(File::Copy::Recursive)
BuildRequires:	perl(Log::Log4perl)
BuildRequires:	perl(Module::Build) >= 0.400.400
BuildRequires:	perl(Path::Class)
BuildRequires:	perl(Test::Differences)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::File::Contents)
BuildRequires:	perl(Test::Memory::Cycle)
BuildRequires:	perl(Test::Warn)

BuildArch:	noarch

%description
Config::Model::Tester provides a way to test configuration models with
test files. This class was designed to test several models and several
test cases per model.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.47.0-2.mga4
+ Revision: 539491
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 2.47.0-1.mga4
+ Revision: 492300
- update to 2.047

* Tue Sep 24 2013 sander85 <sander85> 2.46.0-1.mga4
+ Revision: 485548
- update to 2.046

* Sun Sep 15 2013 sander85 <sander85> 2.45.0-1.mga4
+ Revision: 479968
- update to 2.045

* Sun Sep 08 2013 sander85 <sander85> 2.44.0-1.mga4
+ Revision: 476348
- update to 2.044

* Thu Aug 29 2013 sander85 <sander85> 2.43.0-1.mga4
+ Revision: 472999
- imported package perl-Config-Model-Tester

